Name:           csslint
Version:        0.10.0
Release:        %mkrel 5
Summary:        Detecting potential problems in CSS code

Group:          Development/Other
License:        MIT
URL:            https://github.com/stubbornella/csslint
# https://github.com/stubbornella/%{name}/archive/v%{version}.tar.gz
Source:		%{name}-%{version}.tar.gz
Source1:        %{name}.sh

BuildArch:      noarch

BuildRequires:	ant
Requires:       rhino


%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%setup -q 
# shell script to launch csslint
cp -p %{SOURCE1} .
# rhino
sed -i -e 's|@JS_JAR@|%{_datadir}/java/js.jar|g' %{name}.sh
sed -i -e 's|@CSSLINT_RHINO@|%{_datadir}/%{name}/%{name}-rhino.js|g' %{name}.sh

%build
%ant

%install
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_bindir}
cp -a release/csslint-rhino.js %{buildroot}%{_datadir}/%{name}/
cp -a %{name}.sh %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

%files
%doc CHANGELOG README.md
%{_datadir}/%{name}
%{_bindir}/%{name}


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 944778
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 751139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 678605
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 541513
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 matteo <matteo> 0.10.0-1.mga4
+ Revision: 496090
- new version 0.10.0

* Fri Jun 21 2013 matteo <matteo> 0.9.10-1.mga4
+ Revision: 445568
- new version (0.9.10)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-2.mga3
+ Revision: 348369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 matteo <matteo> 0.9.8-1.mga3
+ Revision: 291028
- imported package csslint

